<?php
// Template Name: Licitação
get_header();
?>

	<main>

		<div class="intro intro-interna">
			<h2 class="titulo-intro"><?php the_field('titulo_introducao'); ?></h2>
			<div class="descricao-secao">
				<?php the_field('descricao_secao'); ?>
			</div>
		</div>

		<div class="container">

			<div class="secao-busca">

				<h4 class="subtitulo">Buscar em Licitação</h4>

				<form method="GET" action="" class="busca">
					<div class="column">
							<label for="mod-licitacao">Modalidade:</label>
							<select id="mod-licitacao" name="fmod-licitacao">
								<option value="">Selecione a modalidade desejada</option>
								<option value="Pregão Eletrônico">Pregão Eletrônico</option>
								<option value="Pregão Presencial">Pregão Presencial</option>
								<option value="Atos de Inexigibilidade">Atos de Inexigibilidade</option>
								<option value="Atos de Dispensa">Atos de Dispensa</option>
								<option value="Convite">Convite</option>
								<option value="Alienação">Alienação</option>
								<option value="Leilão">Leilão</option>
								<option value="Tomada de Preços">Tomada de Preços</option>
								<option value="Concorrência Pública">Concorrência Pública</option>
							</select>
					</div>

					<div class="column">
						<label for="dt-inicio">Período de Abertura:</label>
						
						<div>
							<input type="date" id="dt-inicio" name="fdt-inicio"/><span>a</span><input type="date" id="dt-fim" name="fdt-fim"/>
						</div>

					</div>

					<div class="column">
						<label for="ano-licitacao">Ano:</label>
						<input type="number" min="2000" max="2099" id="ano-licitacao" name="fano-licitacao"/>
					</div>

					<div class="column">
						<label for="num-licitacao">Número:</label>
						<input type="number" min="1" max="200" id="num-licitacao" name="fnum-licitacao"/>
					</div>

					<div class="column">
						<label for="obj-licitacao">Objeto:</label>
						<input type="text" maxlength=100 id="obj-licitacao" name="fobj-licitacao" class="campo-assunto"/>
					</div>

					<div class="column">
						<input type="submit" value="Buscar" class="btn"/>
					</div>

				</form>

			</div>

		</div>

		<section class="container">

			<div class="secao-publicacoes">
			
				<?php
					$modalidade = $_GET['fmod-licitacao'];
					$dt_inicial = implode("", explode('-', $_GET['fdt-inicio']));
					$dt_final = implode("", explode('-', $_GET['fdt-fim']));
					if($dt_final == ""){
						$dt_final = 20991231;
					}
					$num_processo = $_GET['fnum-licitacao'];
					$ano_processo = $_GET['fano-licitacao'];
					$objeto = $_GET['fobj-licitacao'];
					$pagina = $_GET['pag'];
					if( isset($pagina) ) {				
						$num_pagina = intval($pagina);
					} else {
						$num_pagina = 1;
					}
					if( gettype($num_pagina)=="integer" ){
						$offset = 40*($num_pagina-1);
					}

					$args = array (
						'post_type'		=> 'licitacao',
						'meta_query'	=> array(
							'relation'	=> 'AND',
							array(
								'key'     	=> 'modalidade_processo',
								'value'   	=> $modalidade,
								'compare' 	=> 'LIKE',
							),
							array(
								'key'     	=> 'data_abertura',
								'value'   	=> $dt_inicial,
								'compare' 	=> '>=',
							),
							array(
								'key'     	=> 'data_abertura',
								'value'   	=> $dt_final,
								'compare' 	=> '<=',
							),
							array(
								'key'     	=> 'objeto_processo',
								'value'   	=> 	$objeto,
								'compare' 	=> 'LIKE',
							),
							array(
								'key'     	=> 'numero_processo',
								'value'   	=> 	$num_processo,
								'compare' 	=> 'LIKE',
							),
							
							array(
								'key'     	=> 'ano_processo',
								'value'   	=> 	$ano_processo,
								'compare' 	=> 'LIKE',
							),
						),
						'meta_key'      => 'data_abertura',
						'orderby'       => 'meta_value',
						'order'   		=> 'DESC',
						'posts_per_page'=> 40,
						'offset'		=> $offset,
					);
					$the_query = new WP_Query ( $args );
					$id_post = 1;
					$tot_posts = $the_query->found_posts;
					$tot_paginas = ceil($tot_posts/40);
				?>
				<?php if ( $the_query->have_posts() ) : while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
					<div id='publicacao<?php echo $id_post; ?>'>
						<div class="conteudo-publicacao conteudo-licitacao">
							<h6 class="titulo-publicacoes"><?php the_title(); ?></h6>
							<p><span>Situação:</span> <?php the_field('situacao_processo'); ?></p>
							<p><span>Número Processo:</span> <?php the_field('numero_processo'); ?>/<?php the_field('ano_processo'); ?></p>
							<p><span>Modalidade:</span> <?php the_field('modalidade_processo'); ?></p>
							<p><span>Data de Abertura:</span> <?php the_field('data_abertura'); ?></p>
							<p><span>Objeto:</span><?php the_field('objeto_processo'); ?></p>
							<div class="documentos-publicacao">
								<?php
									$i=1;
									while($i<40){
										$documento = 'documentos_processo'.$i;
										$doc_processo = get_field($documento);
										if($doc_processo['arquivo_processo'] != ""){
											
								?>
								<a href="<?php echo $doc_processo['arquivo_processo']; ?>" target="_new">
									<svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" viewBox="0 0 20 26" fill="none">
										<path d="M19 25H1V1H15.2105L19 4.55556V25Z" stroke-linecap="round" stroke-linejoin="round"/>
										<path d="M14.5 1V5.5H19" stroke-linecap="square" stroke-linejoin="round"/>
										<path d="M4 19V21C4 21.5523 4.44772 22 5 22H15C15.5523 22 16 21.5523 16 21V19" stroke-linecap="round"/>
										<path d="M9.3415 19.1738L5.00147 15.3763C4.65402 15.0723 4.86904 14.5 5.33072 14.5H8.5V7.5C8.5 7.22386 8.72386 7 9 7H11C11.2761 7 11.5 7.22386 11.5 7.5V14.5H14.6693C15.131 14.5 15.346 15.0723 14.9985 15.3763L10.6585 19.1738C10.2815 19.5037 9.71852 19.5037 9.3415 19.1738Z"/>
									</svg>
									<p><?php echo $doc_processo['titulo_processo']; ?></p>
								</a>
								<?php
										}
										$i++;
									}
								?>
							</div>
						</div>
						<svg xmlns="http://www.w3.org/2000/svg" width="24" height="18" viewBox="0 0 24 18" fill="none" class="abrir-secao">
							<path d="M12 16L2 6L6 2L12 8L18 2L22 6L12 16Z" stroke-width="2"/>
						</svg>
						<?php $id_post++; ?>
					</div>
				<?php endwhile; else: endif; ?>
					<ul class="paginacao">
					<?php
						$url_raw = "http://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
						$url_pag = explode("&pag=", $url_raw);
						$url_explode = explode("pag=", $url_pag[0]);
						$intervalo_pag = intval($url_explode[1]);
						$url = explode("?", $url_explode[0]);
						if($tot_paginas > 1){
							if($intervalo_pag > 1) {
									$url_primeira = $url[0]."?".$url[1]."&pag=1";
									echo "<li><a class='item-paginacao' href='{$url_final}'>Primeira</a></li>";
							}
							if($intervalo_pag < 4){
								if($tot_paginas > 7){								
									for($i = 1; $i <= 7; $i++) {
										if($intervalo_pag == NULL) {
											$intervalo_pag = 1;
										}
										if($i == $intervalo_pag || $intervalo_pag == NULL){
											$url_final = $url[0]."?".$url[1]."&pag={$i}";
											echo "<li><a class='item-paginacao active' href='{$url_final}'>{$i}</a></li>";
										} else {
											$url_final = $url[0]."?".$url[1]."&pag={$i}";
											echo "<li><a class='item-paginacao' href='{$url_final}'>{$i}</a></li>";
										}
									}
								} else {
									for($i = 1; $i <= $tot_paginas; $i++) {
										if($intervalo_pag == NULL) {
											$intervalo_pag = 1;
										}
										if($i == $intervalo_pag || $intervalo_pag == NULL){
											$url_final = $url[0]."?".$url[1]."&pag={$i}";
											echo "<li><a class='item-paginacao active' href='{$url_final}'>{$i}</a></li>";
										} else {
											$url_final = $url[0]."?".$url[1]."&pag={$i}";
											echo "<li><a class='item-paginacao' href='{$url_final}'>{$i}</a></li>";
										}
									}
								}
							} else if($intervalo_pag > $tot_paginas - 4) {
								for($i = $tot_paginas-7; $i <= $tot_paginas; $i++) {
									if($i == $intervalo_pag){
										$url_final = $url[0]."?".$url[1]."&pag={$i}";
										echo "<li><a class='item-paginacao active' href='{$url_final}'>{$i}</a></li>";
									} else {
										$url_final = $url[0]."?".$url[1]."&pag={$i}";
										echo "<li><a class='item-paginacao' href='{$url_final}'>{$i}</a></li>";
									}
								}
							} else {
								for($i = $intervalo_pag-3; $i <= $intervalo_pag+3; $i++) {
									if($i == $intervalo_pag){
										$url_final = $url[0]."?".$url[1]."&pag={$i}";
										echo "<li><a class='item-paginacao active' href='{$url_final}'>{$i}</a></li>";
									} else {
										$url_final = $url[0]."?".$url[1]."&pag={$i}";
										echo "<li><a class='item-paginacao' href='{$url_final}'>{$i}</a></li>";
									}
								}
							}
							if($intervalo_pag < $tot_paginas) {
								$url_primeira = $url[0]."?".$url[1]."&pag={$tot_paginas}";
								echo "<li><a class='item-paginacao' href='{$url_final}'>Última</a></li>";
							}
						}
					?>
					</ul>
				<?php wp_reset_query(); wp_reset_postdata(); ?>

			</div>

		</section>

	</main>

<?php get_footer(); ?>